NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.Layout2d.ComponentCollection Class Reference

Represents a collection of NXOpen.Layout2d.Component s. More...

Inheritance diagram for NXOpen.Layout2d.ComponentCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe
NXOpen.Layout2d.AssemblyFromLayout2dBuilder 
CreateAssemblyFromLayout2dBuilder ()
 Creates a NXOpen.Layout2d.AssemblyFromLayout2dBuilder that can create assembly from * the selected layout More...
 
unsafe
NXOpen.Layout2d.AssociativeAssemblyBuilder 
CreateAssociativeAssemblyBuilder ()
 Creates a NXOpen.Layout2d.AssociativeAssemblyBuilder More...
 
unsafe
NXOpen.Layout2d.CreateComponentFrom3DBuilder 
CreateComponentFrom3dBuilder (NXOpen.View myView)
 Creates a NXOpen.Layout2d.CreateComponentFrom3DBuilder that can create assembly from * the selected layout More...
 
unsafe
NXOpen.Layout2d.DefineComponentAnchorPointBuilder 
CreateDefineComponentAnchorPointBuilder ()
 Creates a NXOpen.Layout2d.DefineComponentAnchorPointBuilder that can define the Anchor Point location of a * 2D Component More...
 
unsafe
NXOpen.Layout2d.DefineComponentBuilder 
CreateDefineComponentBuilder (NXOpen.Layout2d.Component component)
 Creates a NXOpen.Layout2d.DefineComponentBuilder that can create a fully defined 2D Component with specified content, anchor point, name and reuse library destination folder. More...
 
unsafe
NXOpen.Layout2d.ExportComponentHierarchyBuilder 
CreateExportComponentHierarchyBuilder ()
 Creates a NXOpen.Layout2d.ExportComponentHierarchyBuilder More...
 
unsafe
NXOpen.Layout2d.InsertComponentBuilder 
CreateInsertComponentBuilder ()
 Creates a NXOpen.Layout2d.InsertComponentBuilder that inserts a 2D Component instance in the active * sketch. More...
 
unsafe
NXOpen.Layout2d.MakeComponentUniqueBuilder 
CreateMakeComponentUniqueBuilder ()
 Creates a NXOpen.Layout2d.MakeComponentUniqueBuilder that can create definition * for the selected 2D Component instance More...
 
unsafe
NXOpen.Layout2d.NewComponentBuilder 
CreateNewComponentBuilder ()
 Creates a NXOpen.Layout2d.NewComponentBuilder that creates an empty 2D Component instance and stores its * definition in local 2D Component folder More...
 
unsafe
NXOpen.Layout2d.PublishComponentBuilder 
CreatePublishComponentBuilder ()
 Creates a NXOpen.Layout2d.PublishComponentBuilder that can export local definitions into external storage locations More...
 
unsafe
NXOpen.Layout2d.ReparentComponentBuilder 
CreateReparentComponentBuilder ()
 Creates a NXOpen.Layout2d.ReplaceComponentBuilder that can reparent the selected 2D Component * instance with another 2D Component or sketch More...
 
unsafe
NXOpen.Layout2d.ReplaceComponentBuilder 
CreateReplaceComponentBuilder ()
 Creates a NXOpen.Layout2d.ReplaceComponentBuilder that can replace the selected 2D Component * instance with another 2D Component definition More...
 
unsafe
NXOpen.Layout2d.SmashComponentBuilder 
CreateSmashComponentBuilder ()
 Creates a NXOpen.Layout2d.SmashComponentBuilder that can smash the selected * 2D Component instance More...
 
unsafe void DeleteComponents (NXOpen.Layout2d.Component[] components)
 Deletes a list of 2D Components More...
 
unsafe NXOpen.Layout2d.Component FindObject (string journalIdentifier)
 Finds the NXOpen.Layout2d.Component with the given identifier as recorded in a journal. More...
 
unsafe bool IsComponentMember (NXOpen.DisplayableObject disObject)
 Verify if the object belong to this component More...
 
NXOpen.Layout2d.Component[] ToArray ()
 Returns an array of NXOpen.Layout2d.Component objects. More...
 
unsafe void UpdateComponentHierarchy (NXOpen.Layout2d.Component[] components)
 Updates 2D Components and propagates the changes to the hierarchy in given layout More...
 
unsafe void UpdateComponents (NXOpen.Layout2d.Component[] components)
 Updates 2D Components without propagating the changes to the hierarchy in given layout More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

NXOpen.Drawings.OrderManager OrderManagers [get]
 Returns the OrderManager for part More...
 
Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.Layout2d.Component s.

To obtain an instance of this class, refer to NXOpen.Part

Created in NX10.0.0

Member Function Documentation

unsafe NXOpen.Layout2d.AssemblyFromLayout2dBuilder NXOpen.Layout2d.ComponentCollection.CreateAssemblyFromLayout2dBuilder ( )
inline

Creates a NXOpen.Layout2d.AssemblyFromLayout2dBuilder that can create assembly from * the selected layout

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.AssociativeAssemblyBuilder NXOpen.Layout2d.ComponentCollection.CreateAssociativeAssemblyBuilder ( )
inline

Creates a NXOpen.Layout2d.AssociativeAssemblyBuilder

Created in NX1847.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.CreateComponentFrom3DBuilder NXOpen.Layout2d.ComponentCollection.CreateComponentFrom3dBuilder ( NXOpen.View  myView)
inline

Creates a NXOpen.Layout2d.CreateComponentFrom3DBuilder that can create assembly from * the selected layout

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
myView
Returns
unsafe NXOpen.Layout2d.DefineComponentAnchorPointBuilder NXOpen.Layout2d.ComponentCollection.CreateDefineComponentAnchorPointBuilder ( )
inline

Creates a NXOpen.Layout2d.DefineComponentAnchorPointBuilder that can define the Anchor Point location of a * 2D Component

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.DefineComponentBuilder NXOpen.Layout2d.ComponentCollection.CreateDefineComponentBuilder ( NXOpen.Layout2d.Component  component)
inline

Creates a NXOpen.Layout2d.DefineComponentBuilder that can create a fully defined 2D Component with specified content, anchor point, name and reuse library destination folder.

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Parameters
componentthe component to be edited, a null reference (Nothing in Visual Basic) in case of new component view.
Returns
unsafe NXOpen.Layout2d.ExportComponentHierarchyBuilder NXOpen.Layout2d.ComponentCollection.CreateExportComponentHierarchyBuilder ( )
inline

Creates a NXOpen.Layout2d.ExportComponentHierarchyBuilder

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.InsertComponentBuilder NXOpen.Layout2d.ComponentCollection.CreateInsertComponentBuilder ( )
inline

Creates a NXOpen.Layout2d.InsertComponentBuilder that inserts a 2D Component instance in the active * sketch.

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.MakeComponentUniqueBuilder NXOpen.Layout2d.ComponentCollection.CreateMakeComponentUniqueBuilder ( )
inline

Creates a NXOpen.Layout2d.MakeComponentUniqueBuilder that can create definition * for the selected 2D Component instance

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.NewComponentBuilder NXOpen.Layout2d.ComponentCollection.CreateNewComponentBuilder ( )
inline

Creates a NXOpen.Layout2d.NewComponentBuilder that creates an empty 2D Component instance and stores its * definition in local 2D Component folder

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.PublishComponentBuilder NXOpen.Layout2d.ComponentCollection.CreatePublishComponentBuilder ( )
inline

Creates a NXOpen.Layout2d.PublishComponentBuilder that can export local definitions into external storage locations

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.ReparentComponentBuilder NXOpen.Layout2d.ComponentCollection.CreateReparentComponentBuilder ( )
inline

Creates a NXOpen.Layout2d.ReplaceComponentBuilder that can reparent the selected 2D Component * instance with another 2D Component or sketch

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.ReplaceComponentBuilder NXOpen.Layout2d.ComponentCollection.CreateReplaceComponentBuilder ( )
inline

Creates a NXOpen.Layout2d.ReplaceComponentBuilder that can replace the selected 2D Component * instance with another 2D Component definition

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe NXOpen.Layout2d.SmashComponentBuilder NXOpen.Layout2d.ComponentCollection.CreateSmashComponentBuilder ( )
inline

Creates a NXOpen.Layout2d.SmashComponentBuilder that can smash the selected * 2D Component instance

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Returns
unsafe void NXOpen.Layout2d.ComponentCollection.DeleteComponents ( NXOpen.Layout2d.Component[]  components)
inline

Deletes a list of 2D Components

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Parameters
components
override int NXOpen.Layout2d.ComponentCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

unsafe NXOpen.Layout2d.Component NXOpen.Layout2d.ComponentCollection.FindObject ( string  journalIdentifier)
inline

Finds the NXOpen.Layout2d.Component with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals. An exception will be thrown if no object can be found with the given journal identifier.

Created in NX10.0.0

License requirements: None.

Parameters
journalIdentifierIdentifier of the 2D Component to be found
Returns
2D Component with this identifier
unsafe bool NXOpen.Layout2d.ComponentCollection.IsComponentMember ( NXOpen.DisplayableObject  disObject)
inline

Verify if the object belong to this component

Created in NX10.0.0

License requirements: nx_layout ("NX Layout")

Parameters
disObject
Returns
true if the object is component member
NXOpen.Layout2d.Component [] NXOpen.Layout2d.ComponentCollection.ToArray ( )
inline

Returns an array of NXOpen.Layout2d.Component objects.

unsafe void NXOpen.Layout2d.ComponentCollection.UpdateComponentHierarchy ( NXOpen.Layout2d.Component[]  components)
inline

Updates 2D Components and propagates the changes to the hierarchy in given layout

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
components
unsafe void NXOpen.Layout2d.ComponentCollection.UpdateComponents ( NXOpen.Layout2d.Component[]  components)
inline

Updates 2D Components without propagating the changes to the hierarchy in given layout

Created in NX11.0.0

License requirements: nx_layout ("NX Layout")

Parameters
components

Property Documentation

NXOpen.Drawings.OrderManager NXOpen.Layout2d.ComponentCollection.OrderManagers
get

Returns the OrderManager for part

Created in NX11.0.0

Tag NXOpen.Layout2d.ComponentCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.